/*
 * Copyright (C) 2017  Kevin Whitaker <eyecreate@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "RequestInterface.h"

RequestInterface::RequestInterface(WebInterface* app)
{
    this->app = app;
    mainLayout = new Wt::WVBoxLayout();
    searchHeader = new Wt::WContainerWidget();
    searchLayout = new Wt::WHBoxLayout();
    searchBox = new Wt::WLineEdit();
    searchBtn = new Wt::WPushButton();
    resultBody = new Wt::WContainerWidget();
    resultLayout = new Wt::WGridLayout();
    
    this->setLayout(mainLayout);
    mainLayout->addWidget(searchHeader,0,Wt::AlignmentFlag::AlignCenter);
    mainLayout->addWidget(resultBody);
    
    searchHeader->setLayout(searchLayout);
    searchBtn->setTextFormat(Wt::XHTMLText);
    searchBtn->decorationStyle().font().setFamily(Wt::WFont::Default,"FontAwesome");
    searchBtn->setText("&#61442;");
    searchLayout->addWidget(searchBox);
    searchLayout->addWidget(searchBtn);
    //TODO:btn connections
    
    resultBody->setLayout(resultLayout);
    
}

void RequestInterface::trackRequestClicked(AudioTrack track)
{
    //TODO
}
